package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class PeopleTest {

 Person person1, person2;
 Student student1;
 Instructor instructor;
 Students students;
 Instructors instructors;

 public PeopleTest() {
     students = Students.getInstance();

     person1 = new Person("person1",45);
     person2 = new Person("person2", 56);
     student1 = new Student("student1",50);
     instructor = new Instructor("instructor1",54);
     students.add(student1);
 }

 @Test
    public void addTest(){
     //Given
     Student newStudent = new Student("student2",43);

     //When
     Integer expected = 41;
     students.add(newStudent);
     Integer actual = students.getCount();

     //Then
     Assert.assertEquals(expected,actual);

 }

    @Test
    public void findByIdTest(){
        //When
        long expected = student1.getId();

        Student actual = students.findByID(50);

        //Then
        Assert.assertEquals(expected,actual.getId());

    }

    @Test
    public void removeTest(){
        //When
        Integer expected = 39;

        students.removeById(50);
        Integer actual = students.getCount();

        //Then
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void removeAllTest(){

       //Given
        Instructors instructors = Instructors.getInstance();

        //When

        Integer expected = 0;

        instructors.removeAll();
        Integer actual = instructors.getCount();

        //Then
        Assert.assertEquals(expected,actual);

    }

}